Package com.independentsoft.office.spreadsheet

# Class InputCell

java.lang.Object
com.independentsoft.office.spreadsheet.InputCell

public class InputCell extends Object
The Class InputCell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputCell()`
  Instantiates a new input cell.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputCell`
  `clone()`
  `int`
  `getNumberFormatID()`
  Gets the number format id.
  `String`
  `getReference()`
  Gets the reference.
  `String`
  `getValue()`
  Gets the value.
  `boolean`
  `isDeleted()`
  Checks if is deleted.
  `boolean`
  `isUndone()`
  Checks if is undone.
  `void`
  `setDeleted​(boolean deleted)`
  Sets the deleted.
  `void`
  `setNumberFormatID​(int numberFormatID)`
  Sets the number format id.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setUndone​(boolean undone)`
  Sets the undone.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InputCell

    public InputCell()
    Instantiates a new input cell.

- ## Method Details

  - ### clone

    public InputCell clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isDeleted

    public boolean isDeleted()
    Checks if is deleted.
    Returns:
      true, if is deleted

  - ### setDeleted

    public void setDeleted​(boolean deleted)
    Sets the deleted.
    Parameters:
      `deleted` - the new deleted

  - ### getNumberFormatID

    public int getNumberFormatID()
    Gets the number format id.
    Returns:
      the number format id

  - ### setNumberFormatID

    public void setNumberFormatID​(int numberFormatID)
    Sets the number format id.
    Parameters:
      `numberFormatID` - the new number format id

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### isUndone

    public boolean isUndone()
    Checks if is undone.
    Returns:
      true, if is undone

  - ### setUndone

    public void setUndone​(boolean undone)
    Sets the undone.
    Parameters:
      `undone` - the new undone

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value